%global __os_install_post %{nil}

Summary: SMNT EndPointMonitor Agent
Name: endpointmonitor-agent
Version: 0.4.0.8
Release: 19
BuildArch: noarch
License: SMNT - Not for resale
Requires: java-17-openjdk
Source: /home/endPointMonitor/package/

%description
SMNT EndPointMonitor Agent

%build

%install
getent group endPointMonitor > /dev/null 2>&1 || groupadd endPointMonitor
getent passwd endPointMonitor > /dev/null 2>&1 || useradd -s /usr/bin/bash -g endPointMonitor --create-home endPointMonitor
cp -r /home/endPointMonitor/package/* $RPM_BUILD_ROOT/
mkdir -p /var/log/endPointMonitorAgent
chown endPointMonitor:endPointMonitor /var/log/endPointMonitorAgent

%pre
getent group endPointMonitor > /dev/null 2>&1 || groupadd endPointMonitor
getent passwd endPointMonitor > /dev/null 2>&1 || useradd -s /usr/bin/bash -g endPointMonitor --create-home endPointMonitor

%post
ln -fs /opt/smnt/endPointMonitorAgent/config/endPointMonitorAgent.service /etc/systemd/system/endPointMonitorAgent.service
ln -fs /opt/smnt/endPointMonitorAgent/releases/EndPointMonitorAgent-0.4.0.8.war /opt/smnt/endPointMonitorAgent/EndPointMonitorAgent.war
systemctl enable endPointMonitorAgent

%preun
systemctl stop endPointMonitorAgent
systemctl disable endPointMonitorAgent
rm -f /etc/systemd/system/endPointMonitorAgent.service

%files
%defattr(-, endPointMonitor, endPointMonitor, 775)
%exclude %dir /
%exclude %dir /opt
/

%clean
rm -rf /opt/smnt/endPointMonitorAgent